> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# The connect endpoint

The Connect endpoint identifies & connects all the liability accounts (e.g. Credit Card, Mortgage, Auto Loans, Student Loans, etc.)
for an Entity across Method's network of 15,000+ FI / Lenders.

> [!TIP]
>
> To further provide a comprehensive view the Connect endpoint
> will perform a soft-pull of the Entity's credit report.

**The Connect endpoint is available as a:**

| Type | Use-Case |
| - | - |
| `Product` | On-Demand comprehensive view of an Entity's outstanding liabilities. |
| `Subscription` | Comprehensive view of an Entity's outstanding liabilities and continuous near real-time updates on new liabilities. [Webhook Payload](#webhook-payload) |

## Connect Objects

## Credit Report Artifacts

Connect performs its discovery from a soft-pull credit report. Teams with raw
credit report access enabled can receive that underlying report by requesting
`artifacts` (with a `bureau`) on [create](https://docs.methodfi.com/2026-03-30/reference/entities/connect/create.md).
The generated Files are returned in the Connect's `files` array and can be
downloaded via the [Files API](https://docs.methodfi.com/2026-03-30/reference/files/overview.md). TransUnion raw
credit reports are returned as JSON by default, or as native XML when the
`raw_report_format=xml` query parameter is passed on create.

> [!NOTE]
>
> Raw credit report features are enabled on a case-by-case basis. Contact
> Method to enable them.

## Webhook Payload

The [Webhook](https://docs.methodfi.com/2026-03-30/reference/webhooks/overview.md) payload will contain the following information:

```json theme={null}
{
  "id": "string",
  "type": "connect.create" | "connect.update" | "connect.available",
  "path": "/entities/<ent_id>/connect/<cxn_id>"
}
```

```json THE CONNECT OBJECT theme={null}
{
  "id": "cxn_4ewMmBbjYDMR4",
  "entity_id": "ent_qKNBB68bfHGNA",
  "status": "completed",
  "accounts": [
    "acc_eKKmrXDpJBKgw",
    "acc_GV8WbmJW7KGRy",
    "acc_MLPKh9gQDDbT8",
    "acc_LbXE8wVYJLrKt",
    "acc_J3P9fayDFjpAy",
    "acc_eFFRV9zmpLREK"
  ],
  "requested_products": [
    "card_brand"
  ],
  "requested_subscriptions": [
    "card_brand"
  ],
  "files": [
    {
      "id": "file_jZWkPMhXPeYAn",
      "type": "raw_credit_report",
      "bureau": "transunion",
      "mime_type": "application/json"
    }
  ],
  "error": null,
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.